// This program is designed for OKI-E5003 board
// It shows how to work whit LCD Display

#include <ioml67q5003.h>
#include "lcd.h"
#include "system.h"

// simple delay
void DelayS (unsigned long a) { while (--a!=0); }

int main()
{

  // Freq init
  FreqInit();
  // System Init
  SysInit();
  // Init Led
  LCDInit();


  LCDSendCommand(DISP_ON);        //LCD on
  LCDSendCommand(CLR_DISP);       //LCD clear
  LCDSendCommand(DD_RAM_ADDR);    //LCD set first row

  LCDSendTxt(" www.olimex.com ");

  // loop forever
  while(1) {
    // blinking LCD light
    Light(0);
    DelayS(1000000);
    Light(1);
    DelayS(1000000);
  }
}
